<?php
// +----------------------------------------------------------------------
// | 网站路由 [ 天方夜谭快速开发框架 ]
// +----------------------------------------------------------------------
// | Copyright (c) 2014~2019 http://www.eirds.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 天方夜谭 <17404785@qq.com>
// +----------------------------------------------------------------------
//加载核心
require_once '../Includes/common.php';
//判断是否登录
if(!TFYT('loginuser')){
    exit("<script language='javascript'>alert('请先登录后再进行操作！');window.location.href='/Application/Users.php?Mould=Login';</script>");
}
//定义首页模板位置
define('Mains', '../template/Mains/');
//获取URL
$index = GET('Mould')?GET('Mould'):'Home';
//判断是否后台地址
if(strpos($index,'Admin') !== false){
    if (TFYT('loginuser')!='1') exit("<script language='javascript'>alert('你没有权限查看该内容！！');window.location.href='?Mould=Home';</script>");
}
//路由选择
switch ($index){
    case 'Home':
        include_once("Mains/index.php");
        break;
    case 'User':
        include_once("Mains/user.php");
        break;
    case 'Chat':
        include_once("Mains/chat.php");
        break;
    case 'Mall':
        include_once("Mains/mall.php");
        break;
    case 'Music':
        include_once("Mains/music.php");
        break;
    case 'Player':
        include_once("Mains/player.php");
        break;
    case 'Addqq':
        include_once("Mains/addqq.php");
        break;
    case 'QQList':
        include_once("Mains/qqlist.php");
        break;
    case 'QQSet':
        include_once("Mains/qqset.php");
        break;
    case 'QQNick':
        include_once("Mains/qqnick.php");
        break;
    case 'QQIntimacy':
        include_once("Mains/qqintimacy.php");
        break;
    case 'QQIsknow':
        include_once("Mains/qqisknow.php");
        break;
    case 'Video':
        include_once("Mains/video.php");
        break;
    case 'Admin_website':
        include_once("Mains/admin_website.php");
        break;
    case 'Admin_notice':
        include_once("Mains/admin_notice.php");
        break;
    case 'Admin_Video':
        include_once("Mains/admin_video.php");
        break;
    case 'Admin_Song':
        include_once("Mains/admin_song.php");
        break;
    case 'Admin_Users':
        include_once("Mains/admin_users.php");
        break;
    case 'Admin_Users_Set':
        include_once("Mains/admin_users_Set.php");
        break;
    case 'Admin_Qq':
        include_once("Mains/admin_qq.php");
        break;
    case 'Admin_Leader':
        include_once("Mains/admin_leader.php");
        break;
    case 'Admin_Prize':
        include_once("Mains/admin_prize.php");
        break;
    case 'Admin_Goods':
        include_once("Mains/admin_goods.php");
        break;
    case 'Admin_Monitor':
        include_once("Mains/admin_monitor.php");
        break;
    default:
        exit('404');
        break;
}